<?php

namespace App\Listeners;

use App\Events\ChatComm;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\Log;

class EnvioMensagem implements ShouldQueue
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  ChatComm  $event
     * @return void
     */
    public function handle(ChatComm $event)
    {
        Log::info($event->chat);
    }
}
